﻿using Microsoft.AspNetCore.Mvc;
using ScheduleProject.Models;
using System.Diagnostics;
using System.Collections.Generic;
using System.Linq;
using System.Text.Json;
using Syncfusion.EJ2.Base;
using Syncfusion.EJ2.Navigations;
using System.Reflection.PortableExecutable;

namespace ScheduleProject.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {
            ViewBag.datasource = GetScheduleData();
            return View();
        }
        public List<AppointmentData> GetScheduleData()
        {
            List<AppointmentData> appData = new List<AppointmentData>();
            appData.Add(new AppointmentData
            {
                Id = 1,
                Subject = "Paris",
                StartTime = new DateTime(2022, 11, 15, 10, 0, 0),
                EndTime = new DateTime(2022, 11, 16, 12, 0, 0),
                IsAllDay = false
            });
            appData.Add(new AppointmentData
            {
                Id = 3,
                Subject = "NYC",
                StartTime = new DateTime(2022, 11, 15, 10, 0, 0),
                EndTime = new DateTime(2022, 11, 15, 11, 0, 0),
                IsAllDay = false
            });
            appData.Add(new AppointmentData
            {
                Id = 4,
                Subject = "Canada",
                StartTime = new DateTime(2022, 11, 15, 10, 0, 0),
                EndTime = new DateTime(2022, 11, 15, 11, 0, 0),
                IsAllDay = false
            });
            appData.Add(new AppointmentData
            {
                Id = 2,
                Subject = "London",
                StartTime = new DateTime(2022, 11, 23, 12, 0, 0),
                EndTime = new DateTime(2022, 11, 23, 13, 0, 0),
                IsAllDay = false
            });
            return appData;
        }
        public class AppointmentData
        {
            public int Id { get; set; }
            public string Subject { get; set; }
            public DateTime StartTime { get; set; }
            public DateTime EndTime { get; set; }
            public bool IsAllDay { get; set; }
            public string RecurrenceRule { get; set; }
            public string RecurrenceException { get; set; }
        }
        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";

            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";

            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

    }
}
